std::chrono::duration< _Rep, _Period > Struct Template Reference

## Public Types

typedef _Period | period
typedef _Rep | rep

## Public Member Functions

template<typename _Rep2 , typename = _Require< is_convertible<const _Rep2&, rep>, __or_<__is_float<rep>, __not_<__is_float<_Rep2>>>>>
constexpr | duration (const _Rep2 &__rep)
| duration (const duration &)=default
template<typename _Rep2 , typename _Period2 , typename = _Require< __or_<__is_float<rep>, __and_<__is_harmonic<_Period2>, __not_<__is_float<_Rep2>>>>>>
constexpr | duration (const duration< _Rep2, _Period2 > &__d)
constexpr rep | count () const
template<typename _Rep2 = rep>
_GLIBCXX17_CONSTEXPR enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type | operator%= (const duration &__d)
template<typename _Rep2 = rep>
_GLIBCXX17_CONSTEXPR enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type | operator%= (const rep &__rhs)
_GLIBCXX17_CONSTEXPR duration & | operator*= (const rep &__rhs)
constexpr duration | operator+ () const
_GLIBCXX17_CONSTEXPR duration & | operator++ ()
_GLIBCXX17_CONSTEXPR duration | operator++ (int)
_GLIBCXX17_CONSTEXPR duration & | operator+= (const duration &__d)
constexpr duration | operator- () const
_GLIBCXX17_CONSTEXPR duration & | operator-- ()
_GLIBCXX17_CONSTEXPR duration | operator-- (int)
_GLIBCXX17_CONSTEXPR duration & | operator-= (const duration &__d)
_GLIBCXX17_CONSTEXPR duration & | operator/= (const rep &__rhs)
duration & | operator= (const duration &)=default

## Static Public Member Functions

static constexpr duration | max () noexcept
static constexpr duration | min () noexcept
static constexpr duration | zero () noexcept

## Detailed Description

### template<typename _Rep, typename _Period>
struct std::chrono::duration< _Rep, _Period >

duration

Definition at line 300 of file chrono.

The documentation for this struct was generated from the following file:

- chrono